UpdateInvokeFunctionUserDefinedStepDetails¶
- class oci.disaster_recovery.models.UpdateInvokeFunctionUserDefinedStepDetails(**kwargs)¶
Bases:
UpdateDrPlanUserDefinedStepDetailsThe details for updating an Invoke Oracle Function step.
Attributes:
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
STEP_TYPE_RUN_OBJECTSTORE_SCRIPT_USER_DEFINED_CUSTOM_PRECHECKA constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails.
[Required] Gets the function_id of this UpdateInvokeFunctionUserDefinedStepDetails.
Gets the request_body of this UpdateInvokeFunctionUserDefinedStepDetails.
[Required] Gets the step_type of this UpdateDrPlanUserDefinedStepDetails.
Methods:
__init__(**kwargs)Initializes a new UpdateInvokeFunctionUserDefinedStepDetails object with values from keyword arguments.
get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- STEP_TYPE_INVOKE_FUNCTION = 'INVOKE_FUNCTION'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “INVOKE_FUNCTION”
- STEP_TYPE_INVOKE_FUNCTION_PRECHECK = 'INVOKE_FUNCTION_PRECHECK'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “INVOKE_FUNCTION_PRECHECK”
- STEP_TYPE_INVOKE_FUNCTION_USER_DEFINED_CUSTOM_PRECHECK = 'INVOKE_FUNCTION_USER_DEFINED_CUSTOM_PRECHECK'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “INVOKE_FUNCTION_USER_DEFINED_CUSTOM_PRECHECK”
- STEP_TYPE_RUN_LOCAL_SCRIPT = 'RUN_LOCAL_SCRIPT'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “RUN_LOCAL_SCRIPT”
- STEP_TYPE_RUN_LOCAL_SCRIPT_PRECHECK = 'RUN_LOCAL_SCRIPT_PRECHECK'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “RUN_LOCAL_SCRIPT_PRECHECK”
- STEP_TYPE_RUN_LOCAL_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK = 'RUN_LOCAL_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “RUN_LOCAL_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK”
- STEP_TYPE_RUN_OBJECTSTORE_SCRIPT = 'RUN_OBJECTSTORE_SCRIPT'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “RUN_OBJECTSTORE_SCRIPT”
- STEP_TYPE_RUN_OBJECTSTORE_SCRIPT_PRECHECK = 'RUN_OBJECTSTORE_SCRIPT_PRECHECK'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “RUN_OBJECTSTORE_SCRIPT_PRECHECK”
- STEP_TYPE_RUN_OBJECTSTORE_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK = 'RUN_OBJECTSTORE_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK'¶
A constant which can be used with the step_type property of a UpdateDrPlanUserDefinedStepDetails. This constant has a value of “RUN_OBJECTSTORE_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK”
- __init__(**kwargs)¶
Initializes a new UpdateInvokeFunctionUserDefinedStepDetails object with values from keyword arguments. The default value of the
step_typeattribute of this class isINVOKE_FUNCTIONand it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):- Parameters
step_type (str) – The value to assign to the step_type property of this UpdateInvokeFunctionUserDefinedStepDetails. Allowed values for this property are: “RUN_OBJECTSTORE_SCRIPT_PRECHECK”, “RUN_LOCAL_SCRIPT_PRECHECK”, “INVOKE_FUNCTION_PRECHECK”, “RUN_OBJECTSTORE_SCRIPT”, “RUN_LOCAL_SCRIPT”, “INVOKE_FUNCTION”, “RUN_OBJECTSTORE_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK”, “RUN_LOCAL_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK”, “INVOKE_FUNCTION_USER_DEFINED_CUSTOM_PRECHECK”
function_id (str) – The value to assign to the function_id property of this UpdateInvokeFunctionUserDefinedStepDetails.
request_body (str) – The value to assign to the request_body property of this UpdateInvokeFunctionUserDefinedStepDetails.
- property function_id¶
[Required] Gets the function_id of this UpdateInvokeFunctionUserDefinedStepDetails. The OCID of function to be invoked.
Example: ocid1.fnfunc.oc1..uniqueID
- Returns
The function_id of this UpdateInvokeFunctionUserDefinedStepDetails.
- Return type
str
- static get_subtype(object_dictionary)¶
Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- property request_body¶
Gets the request_body of this UpdateInvokeFunctionUserDefinedStepDetails. The request body for the function.
Example: { “FnParam1”, “FnParam2” }
- Returns
The request_body of this UpdateInvokeFunctionUserDefinedStepDetails.
- Return type
str
- property step_type¶
[Required] Gets the step_type of this UpdateDrPlanUserDefinedStepDetails. The type of the user-defined step.
- RUN_OBJECTSTORE_SCRIPT_PRECHECK - A built-in step which performs a precheck on a script stored
in OCI object storage. This step cannot be added, deleted, or customized by the user.
- RUN_LOCAL_SCRIPT_PRECHECK - A built-in step which performs a precheck on a script which resides
locally on a compute instance. This step cannot be added, deleted, or customized by the user.
- INVOKE_FUNCTION_PRECHECK - A built-in step which performs a precheck on an OCI function. This
step cannot be added, deleted, or customized by the user. See https://docs.oracle.com/en-us/iaas/Content/Functions/home.htm.
RUN_OBJECTSTORE_SCRIPT - A step which runs a script stored in OCI object storage.
RUN_LOCAL_SCRIPT - A step which runs a script that resides locally on a compute instance.
- INVOKE_FUNCTION - A step which invokes an OCI function.
See https://docs.oracle.com/en-us/iaas/Content/Functions/home.htm.
- RUN_OBJECTSTORE_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK - A user-defined step which performs a precheck by executing a user-provided script stored
in OCI object storage.
- RUN_LOCAL_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK - A user-defined step which performs a precheck by executing a user-provided script which resides
locally on a compute instance.
- INVOKE_FUNCTION_USER_DEFINED_CUSTOM_PRECHECK - A user-defined step which performs a precheck by executing a user-provided OCI function.
See https://docs.oracle.com/en-us/iaas/Content/Functions/home.htm.
Allowed values for this property are: “RUN_OBJECTSTORE_SCRIPT_PRECHECK”, “RUN_LOCAL_SCRIPT_PRECHECK”, “INVOKE_FUNCTION_PRECHECK”, “RUN_OBJECTSTORE_SCRIPT”, “RUN_LOCAL_SCRIPT”, “INVOKE_FUNCTION”, “RUN_OBJECTSTORE_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK”, “RUN_LOCAL_SCRIPT_USER_DEFINED_CUSTOM_PRECHECK”, “INVOKE_FUNCTION_USER_DEFINED_CUSTOM_PRECHECK”
- Returns
The step_type of this UpdateDrPlanUserDefinedStepDetails.
- Return type
str